import utime
import rp2
from machine import Pin

# Define the blink program.  It has one GPIO to bind to on the set instruction, which is an output pin.
# Use lots of delays to make the blinking visible by eye.
@rp2.asm_pio(set_init=rp2.PIO.OUT_LOW)
def blink():
    wrap_target()
    set(pins, 1)   [31]
    nop()          [31]
    nop()          [31]
    nop()          [31]
    nop()          [31]
    set(pins, 0)   [31]
    nop()          [31]
    nop()          [31]
    nop()          [31]
    nop()          [31]
    wrap()

# Instantiate a state machine with the blink program, at 2000Hz, with set bound to Pin(15) (you can change the Pin number according to your needs)
sm = rp2.StateMachine(0, blink, freq=2000, set_base=Pin(15))

# Run the state machine for 3 seconds.  The LED should blink.
while True:
    print("Starting state machine.....")
    sm.active(1)
    utime.sleep(1)
    print("Stopping state machine.....")
    sm.active(0)
    utime.sleep(1)